Issue 121069 - zlib: upgrade to 1.2.7
zlib: upgrade to 1.2.7
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: external prerequisites
4.0.0-dev
All All
: P3 trivial (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 08:36 UTC by zjchen
Modified: 2013-07-11 12:42 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch for zlib 1.2.7 (5.48 KB, patch)
2012-09-20 09:07 UTC, zjchen
no flags Details | Diff
patch for zlib 1.2.7 (5.92 KB, patch)
2012-09-21 08:05 UTC, zjchen
no flags Details | Diff
patch update (6.68 KB, patch)
2012-09-21 16:00 UTC, zjchen
pfg: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zjchen 2012-09-20 08:36:10 UTC
version 1.2.7 has many portability improvements over 1.2.5
see http://www.zlib.net/ChangeLog.txt
Comment 1 zjchen 2012-09-20 09:07:17 UTC
Created attachment 79590 [details]
patch for zlib 1.2.7
Comment 2 Pedro Giffuni 2012-09-20 14:15:45 UTC
Is there something in 1.2.7.patch ?

In the diff it appears to be empty.

I uploaded the tarfile to ooo-extras. Let me know if you need access to the site (like in case you update something else).
Comment 3 zjchen 2012-09-20 14:44:03 UTC
(In reply to comment #2)
> Is there something in 1.2.7.patch ?
> 
> In the diff it appears to be empty.
> 
> I uploaded the tarfile to ooo-extras. Let me know if you need access to the
> site (like in case you update something else).

It is weird that Bugzilla diff cannot display the adding content in zlib-1.2.7.patch, which is based on 1.2.5 patch with slight modification.

Would you please download the patch to check the complete content?
I can apply the patch correctly, and the  zlib-1.2.7.patch will be created

> 
> I uploaded the tarfile to ooo-extras. Let me know if you need access to the
> site (like in case you update something else).
Thanks for your help. I will request the permission if needed, but currently there is no other to be uploaded
Comment 4 zjchen 2012-09-21 08:05:35 UTC
Created attachment 79601 [details]
patch for zlib 1.2.7
Comment 5 zjchen 2012-09-21 16:00:38 UTC
Created attachment 79617 [details]
patch update

replace GPL header with ALv2
Comment 6 zjchen 2012-09-21 16:07:16 UTC
tested on Win7/MacOSX/Linux
Comment 7 Pedro Giffuni 2012-09-21 18:16:37 UTC
Comment on attachment 79617 [details]
patch update

Looks good to me.
Comment 8 Pedro Giffuni 2012-09-23 01:47:06 UTC
Committed in r1388742 by zjchen.